<!----------------------------------------------------------------
	Below is the query which...
------------------------------------------------------------------>

<CFQUERY NAME="GetMessage" DATASOURCE="#PrimaryDataSource#">
	SELECT Forums.FID, Forums.Forum, Threads.FID, Threads.TID, Threads.Thread, Threads.Status,
	 	   Messages.MID, Messages.Subject, Messages.Message, Messages.PostDate, Messages.ReplyTo, Messages.BP, Messages.UseSig, Messages.HotPost AS isHot,
		   Users.UID, Users.Username, Users.BPCount, Users.MCount AS UserCount, Users.UF1, Users.UF2, Users.UF3, Users.CID, Users.City, Users.State, Users.ZipCode, Users.Signature, Users.Admin AS isAdmin,
		   (SELECT MIN(MID) FROM Messages WHERE Messages.TID = Threads.TID AND MID > #MID#) AS Next,
		   (SELECT MAX(MID) FROM Messages WHERE Messages.TID = Threads.TID AND MID < #MID#) AS Previous,
		   (SELECT COUNT(*) FROM Moderators WHERE Moderators.FID = Forums.FID AND Moderators.UID = Users.UID) AS IsModerator
	  FROM Forums, Threads, Messages, Users
	 WHERE Forums.FID = Threads.FID 
	   AND Threads.TID = Messages.TID
	   AND Messages.UID = Users.UID
	   AND Messages.MID = #MID#
</CFQUERY>