<!----------------------------------------------------------------
	Below is the query which...
------------------------------------------------------------------>

<CFQUERY NAME="GetThreads" DATASOURCE="#PrimaryDataSource#">
	SELECT Forums.Forum, Threads.*, U1.UserName AS FirstPoster, U1.UID AS FirstPoster_UID,
	       (SELECT U2.UserName FROM Users U2 WHERE U2.UID = Threads.LastPost_UID) AS LastPoster,
	       (SELECT U2.UID FROM Users U2 WHERE U2.UID = Threads.LastPost_UID) AS LastPoster_UID,
		   (SELECT MAX(MID) FROM Messages WHERE Messages.TID = Threads.TID) AS LastMid,
		   (SELECT COUNT(*) FROM Threads WHERE Threads.FID = #FID# AND Threads.Status <> 1) AS TotalThreads
	  FROM Forums, Threads, Users U1      
	 WHERE Threads.FID = #FID#
	   AND Threads.FID = Forums.FID
	   AND Threads.StartDate_UID = U1.UID
	   AND Threads.Status <> 1
  ORDER BY <CFIF IsDefined('URL.Sort')>#URL.Sort#<CFELSE>Threads.LastPost</CFIF>
  		   <CFOUTPUT> </cfoutput>		
           <CFIF IsDefined('URL.Order')>#URL.Order#<CFELSE>DESC</CFIF>
</CFQUERY>
