<!----------------------------------------------------------------
	Below is the query which...
------------------------------------------------------------------>

<CFQUERY NAME="SearchMessages" DATASOURCE="#PrimaryDataSource#">
	SELECT Messages.MID AS ItemID, Messages.ReplyTo AS ParentItemID,
		   Messages.MID, Messages.Subject, Messages.Message, Messages.PostDate, Messages.Indent, Messages.BP, Messages.UseSig, Messages.HotPost AS isHot,
		   Threads.TID, Threads.Thread, Threads.LastPost, Threads.Status, 
		   Users.UID, Users.Username, Users.MCount AS UserCount, Users.BPCount, Users.UF1, Users.UF2, Users.UF3, Users.CID, Users.City, Users.State, Users.ZipCode, Users.Signature, Users.Admin AS isAdmin,
		   Forums.FID, Forums.Forum,
		   (SELECT COUNT(*) FROM Moderators WHERE Moderators.FID = Forums.FID AND Moderators.UID = Users.UID) AS IsModerator
	  FROM Messages, Threads, Users, Forums
	 WHERE Forums.FID = Threads.FID
	   AND Messages.TID = Threads.TID
	   AND Messages.UID = Users.UID
	   <CFIF IsDefined('TID')>
	   AND Threads.TID = #TID#
	   </CFIF>
	   AND Threads.Status <> 1
	  ORDER BY Messages.PostDate <CFIF ReverseSort>DESC<CFELSE>ASC</CFIF>
</CFQUERY>

