<!------------------------------------------------------------------------
	dsp_class.cfm
	
	Dispalys all the classes for a particular user, together with all
	the forums in each of those classes.  This is essentially the
	top-most page of BlueBoard.  Inherited mostly from Forums.cfm
	in SMB.  See BlueBoard Notes for changes. 

------------------------------------------------------------------------->

<!-- BlueBoard Note: The GetForums query was moved to outside
	 file act_getforums.cfm in order to fusebox-ize the system.
	 It is cfincluded before this file from index.cfm
-->

<CFOUTPUT>
<TR><TD BGCOLOR="#Clr_BG4#" COLSPAN=5><B>Available Forums</B>&nbsp;&nbsp;&nbsp;<FONT SIZE=1>
<!-- BlueBoard Note: Giving out a list of users for a particular board
	 is no longer valid functionality since we are organizing by class
	 and not by "group" as SMB was.  code line has been commented as 
	 a result
<CFIF YesNoFormat(GetForums.TotalUsers)>
	<A HREF="index.cfm?Fuseaction=ShowUsers">#GetForums.TotalUsers# Registered Users</A>&nbsp;&nbsp;&nbsp;
</CFIF>
-->
	(<A HREF="search/index.cfm?Fuseaction=DoSearch&PostDate=#URLEncodedFormat(DateFormat(Now(),'mm-dd-yy'))#" TITLE="View All Messages From Today">View Today's Messages</A>)&nbsp;&nbsp;&nbsp;(<A HREF="search/index.cfm?Fuseaction=DoSearch&HotPosts=yes" TITLE="View Hot Posts">View Hot Posts</A>)</FONT></TD></TR>
<TR>
	<TD BGCOLOR="#Clr_BG1#" COLSPAN=2>&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Forum</B></FONT>&nbsp;</TD>
	<TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Threads</B></FONT>&nbsp;</TD>
	<TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Messages</B></FONT>&nbsp;</TD>
	<TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Last&nbsp;Message</B></FONT>&nbsp;</TD>
</TR>
<!-- BlueBoard Note: BlueBoard does not subscribe to the notion of
	 a moderator-per-board system.  We have overall admins (TA's and
	 Professors) and that's it.  This is commented as a result.
<TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Moderator</B></FONT>&nbsp;</TD></TR>
-->
</CFOUTPUT>
<CFIF GetForums.RecordCount>
	<CFOUTPUT QUERY="GetForums" GROUP="GID">
		<CFIF YesNoFormat(GID)><TR><TD BGCOLOR="#Clr_BG4#" COLSPAN=5><B>#GroupName# (#TRIM(GetForums.ClassID)#)</B></TD></TR></CFIF>
		<CFOUTPUT GROUP="FFID">
		<TR>
			<TD BGCOLOR="#Clr_BG3#">
			<!-- BlueBoard Note: This exclaimation mark seemed to be cropping
				 up at more or less random points.  Not useful.
			<CFIF IsDefined('Cookie.LastPost') AND LEN(LastPost)><CFIF DateCompare(LastPost,Cookie.LastPost) GT 0>#Icon_New#</CFIF></CFIF>&nbsp;
			-->
			</TD>
			<TD BGCOLOR="#Clr_BG3#"><B><A HREF="index.cfm?Fuseaction=ShowForum&FID=#FFID#">#TRIM(Forum)#</A></B><CFIF LEN(Description)><BR><FONT SIZE=2>#TRIM(Description)#</FONT></CFIF></TD>
			<TD BGCOLOR="#Clr_BG2#" VALIGN="TOP" ALIGN="CENTER">#TCount#</TD>
			<TD BGCOLOR="#Clr_BG3#" VALIGN="TOP" ALIGN="CENTER">#MCount#</TD>
			<TD BGCOLOR="#Clr_BG2#" VALIGN="TOP"><CFIF LEN(LastPost)><FONT SIZE=2><A HREF="search/index.cfm?Fuseaction=DoSearch&PostDate=#URLEncodedFormat(DateFormat(LastPost,'mm-dd-yy'))#"><CFIF DatePart('y', Now()) EQ DatePart('y',LastPost)>Today<CFELSEIF (DatePart('y', Now()) - 1) EQ DatePart('y',LastPost)>Yesterday<CFELSE>#DateFormat(LastPost, '#DateMask#')#</CFIF></A><BR>#TimeFormat(LastPost, '#TimeMask#')#</FONT></CFIF>&nbsp;</TD>
		</TR>
			<!-- BlueBoard Note: Again, moderators are not in our system
			<CFSET Mods = ""><CFOUTPUT><CFSET Mods = ListAppend(Mods, ' <A HREF="#MB_Dir#/index.cfm?Fuseaction=ShowUser&UID=#UID#">#UserName#</A>')></CFOUTPUT>
			<TD BGCOLOR="#Clr_BG3#" VALIGN="TOP">#TRIM(Mods)#&nbsp;</TD></TR>
			-->
		</CFOUTPUT>
	</CFOUTPUT>
<CFELSE>
<CFOUTPUT>
<TR>
	<TD BGCOLOR="#Clr_BG4#" COLSPAN=5><FONT COLOR="#Clr_Error#"><B>There no forums available.</B></FONT></TD>
</TR>
</CFOUTPUT>
</CFIF>

