<!------------------------------------------------------------------------
	dsp_forum.cfm
	
	Displays all the threads in a particular forum.  Mostly
	inherited from Forum.cfm in SMB.  See BlueBoard notes. 

------------------------------------------------------------------------->

<!-- BlueBoard Note: The GetForum query was moved to outside
	 file act_getforum.cfm in order to fusebox-ize the system.
	 It is cfincluded before this file from index.cfm
-->

<CFIF GetForum.RecordCount>

	<CFOUTPUT>
	<TR><TD BGCOLOR="#Clr_BG4#" COLSPAN=5><B>#GetForum.Forum#</B>&nbsp;</TD></TR>
	</CFOUTPUT>

	<!-- BlueBoard Note: The GetThreads query was moved to outside
		 file act_getthreads.cfm in order to fusebox-ize the system.
	 	 It is cfincluded here.
	-->
	<CFINCLUDE TEMPLATE="act_getthreads.cfm">

	<CFOUTPUT>  
	<TR><TD BGCOLOR="#Clr_BG1#">&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Thread</B></FONT>&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Start Date</B></FONT> <A HREF="#MB_Dir#/index.cfm?Fuseaction=ShowForum&FID=#FID#&Sort=Threads.StartDate&Order=ASC">#Icon_Up#</A><A HREF="#MB_Dir#/index.cfm?Fuseaction=ShowForum&FID=#FID#&Sort=Threads.StartDate&Order=DESC">#Icon_Down#</A>&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Last Post</B></FONT> <A HREF="#MB_Dir#/index.cfm?Fuseaction=ShowForum&FID=#FID#&Sort=Threads.LastPost&Order=ASC">#Icon_Up#</A><A HREF="#MB_Dir#/index.cfm?Fuseaction=ShowForum&FID=#FID#&Sort=Threads.LastPost&Order=DESC">#Icon_Down#</A>&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Messages</B></FONT>&nbsp;</TD></TR>
	</CFOUTPUT>
	<CFIF GetThreads.RecordCount>
		<CFOUTPUT QUERY="GetThreads" STARTROW="#StartRow#" MAXROWS="#MaxThreads#">
		<CFSET NewColor = Clr_BG3>
		<TR>
			<TD BGCOLOR="#NewColor#"><!-- <CFIF Status EQ 2>#Icon_Lock#</CFIF><CFIF IsDefined('Cookie.LastPost') AND LEN(LastPost)><CFIF DateCompare(LastPost,Cookie.LastPost) GT 0>#Icon_New#</CFIF></CFIF>&nbsp; --></TD>
			<TD BGCOLOR="#NewColor#"><A HREF="index.cfm?Fuseaction=ShowThread&TID=#TID#">#Thread#</A>&nbsp;&nbsp;</TD>
			<TD BGCOLOR="#Clr_BG2#"><FONT SIZE=2><A HREF="search/index.cfm?Fuseaction=DoSearch&PostDate=#URLEncodedFormat(DateFormat(StartDate,'mm-dd-yy'))#"><CFIF DatePart('y', Now()) EQ DatePart('y',StartDate)>Today<CFELSEIF (DatePart('y', Now()) - 1) EQ DatePart('y',StartDate)>Yesterday<CFELSE>#DateFormat(StartDate,'#DateMask#')#</CFIF></A> #TimeFormat(StartDate, '#TimeMask#')# by <A HREF="#MB_Dir#/index.cfm?Fuseaction=ShowUser&UID=#FirstPoster_UID#">#FirstPoster#</A></FONT>&nbsp;&nbsp;</TD>
			<TD BGCOLOR="#NewColor#"><CFIF LEN(LastPoster)><FONT SIZE=2><A HREF="search/index.cfm?Fuseaction=DoSearch&PostDate=#URLEncodedFormat(DateFormat(LastPost,'mm-dd-yy'))#"><CFIF DatePart('y', Now()) EQ DatePart('y',LastPost)>Today<CFELSEIF (DatePart('y', Now()) - 1) EQ DatePart('y',LastPost)>Yesterday<CFELSE>#DateFormat(LastPost, '#DateMask#')#</CFIF></A> #TimeFormat(LastPost, '#TimeMask#')# by <A HREF="#MB_Dir#/index.cfm?Fuseaction=ShowUser&UID=#LastPoster_UID#">#LastPoster#</A></FONT></CFIF>&nbsp;&nbsp;</TD>
			<TD BGCOLOR="#Clr_BG2#" ALIGN="CENTER"><FONT SIZE=2>#MCount#</FONT></TD>
		</TR>
		<TR>
			<TD COLSPAN=5>
			<TABLE CELLPADDING=4 CELLSPACING=2 BORDER=2 WIDTH="100%">
				<CFSET TID=GetThreads.TID>
				<CFINCLUDE TEMPLATE="#MB_BlocksDir#/act_searchmessages.cfm">
				<CFINCLUDE TEMPLATE="#MB_BlocksDir#/dsp_incmessages.cfm">
			</TABLE>
			</TD>
		</TR>
<!--		<TR><TD BGCOLOR="#Clr_BG4#" COLSPAN=5>
			<A HREF="#MB_PostDir#/index.cfm?Fuseaction=Post&TID=#Evaluate('#DisplayQuery#.TID')#">Post New Message in Thread</A>
		</TD></TR> -->
		</CFOUTPUT>
		<CFOUTPUT>
		<!--- Pagination --->
		<CFSET Pages = Ceiling(GetThreads.TotalThreads / MaxThreads)> <CFSET Step = Ceiling(Pages / MaxThreads)>
		<CFIF CGI.QUERY_STRING CONTAINS "&StartRow="> <CFSET QueryString = ListDeleteAt(CGI.QUERY_STRING, ListLen(CGI.QUERY_STRING, '&') ,'&')> <CFELSE> <CFSET QueryString = CGI.QUERY_STRING> </CFIF>
		<TR><TD BGCOLOR="#Clr_BG4#" COLSPAN=5><CFIF Pages GT 1><B>Pages: 
		<CFIF StartRow NEQ 1><A HREF="#CGI.SCRIPT_NAME#?#QUERYSTRING#&StartRow=#Evaluate(StartRow - MaxThreads)#">&laquo;</A></CFIF>
		<CFLOOP FROM="1" TO="#Pages#" INDEX="Page" STEP="#Step#"><CFIF StartRow EQ Evaluate((Page - 1) * MaxThreads + 1)>#Page#<CFELSE><A HREF="#CGI.SCRIPT_NAME#?#QUERYSTRING#&StartRow=#Evaluate((Page - 1) * MaxThreads + 1)#">#Page#</A></CFIF> </CFLOOP>
		<CFIF StartRow NEQ Evaluate((Pages - 1) * MaxThreads + 1)><A HREF="#CGI.SCRIPT_NAME#?#QUERYSTRING#&StartRow=#Evaluate(StartRow + MaxThreads)#">&raquo;</A></CFIF>
		</B></CFIF>&nbsp;</TD></TR>
		<!--- End Pagination --->


		</CFOUTPUT>
	<CFELSE>
		<CFOUTPUT>
		<TR><TD BGCOLOR="#Clr_BG4#" COLSPAN=5><FONT COLOR="#Clr_Error#"><B>There are no threads in this forum.</B></FONT></TD></TR>
		</CFOUTPUT>
	</CFIF>

<CFELSE>

	<CFOUTPUT>
	<TR><TD BGCOLOR="#Clr_BG4#" COLSPAN=5><FONT COLOR="#Clr_Error#"><B>Sorry, forum does not exist.</B></FONT></TD></TR>
	</CFOUTPUT>

</CFIF>