<!-- dsp_user.cfm

	Shows details about a particulat user of the system.  Inherited from
	SMB's user.cfm.  See BlueBoard notes for changes.
-->


<!-- BlueBoard Note: GetUser query moved to outside file,
     "act_getuser.cfm" in order to fusebox-ize the system.
	 act_getuser.cfm is cfincluded before this file from
	 index.cfm.
-->
<CFIF GetUser.RecordCount>

	<CFOUTPUT QUERY="GetUser">

		<TR><TD BGCOLOR="#Clr_BG4#" COLSPAN=2><B>User Profile for #TRIM(UserName)#</B></TD></TR>
		<TR><TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Real Name</B></FONT>&nbsp;</TD>
			<TD BGCOLOR="#Clr_BG3#">#TRIM(RealName)#</TD></TR>
		<TR><TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Registered</B></FONT>&nbsp;</TD>
			<TD BGCOLOR="#Clr_BG3#">#DateFormat(ActDate, '#DateMask#')#</TD></TR>
		<TR><TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B><CFIF IsModerator>#Mod_String#<CFELSEIF MCount GTE U1_Count>#U2_String#<CFELSE>#U1_String#</CFIF></B></FONT>&nbsp;</TD>
			<TD BGCOLOR="#Clr_BG3#">#MCount# Post<CFIF MCount NEQ 1>s</CFIF></TD></TR>
		<CFIF BP_On>
		<TR><TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>#BP_String#s</B></FONT>&nbsp;</TD>
			<TD BGCOLOR="#Clr_BG3#">#BPCount# #BP_String#<CFIF ABS(BPCount) NEQ 1>s</CFIF></TD></TR>
		</CFIF>
		<CFIF YesNoFormat(ShowEmail)>
		<TR><TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Email Address</B></FONT>&nbsp;</TD>
			<TD BGCOLOR="#Clr_BG3#"><A HREF="mailto:#TRIM(Email)#">#TRIM(Email)#</A></TD></TR>
		</CFIF>
		<CFIF LEN(Website) AND Website NEQ "http://" AND Website CONTAINS "http://">
		<TR><TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Website</B></FONT>&nbsp;</TD>
			<TD BGCOLOR="#Clr_BG3#"><A HREF="#TRIM(Website)#" TARGET="_new">#TRIM(Website)#</A></TD></TR>
		</CFIF>
		<TR><TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Location</B></FONT>&nbsp;</TD>
			<TD BGCOLOR="#Clr_BG3#">#TRIM(City)# #Trim(State)# #ZipCode#</TD></TR>
		<CFIF BitAnd(2, UF1_Bit)>
		<TR><TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>#UF1_Label#</B></FONT>&nbsp;</TD>
			<TD BGCOLOR="#Clr_BG3#">#TRIM(UF1)#</TD></TR>
		</CFIF>
		<CFIF BitAnd(2, UF2_Bit)>
		<TR><TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>#UF2_Label#</B></FONT>&nbsp;</TD>
			<TD BGCOLOR="#Clr_BG3#">#TRIM(UF2)#</TD></TR>
		</CFIF>
		<CFIF BitAnd(2, UF3_Bit)>
		<TR><TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>#UF3_Label#</B></FONT>&nbsp;</TD>
			<TD BGCOLOR="#Clr_BG3#">#TRIM(UF3)#</TD></TR>
		</CFIF>
		
	</CFOUTPUT>

		<CFIF UA_On>
			<CFQUERY NAME="GetAlbums" DATASOURCE="#PrimaryDataSource#">
				SELECT Albums.AID, Albums.Album FROM Albums WHERE Albums.UID = #GetUser.UID#
			</CFQUERY>
			<CFIF GetAlbums.RecordCount>
			<CFSET Albums = ""><CFOUTPUT QUERY="GetAlbums"><CFSET Albums = ListAppend(Albums, ' <A HREF="album.cfm?AID=#AID#">#TRIM(Album)#</A>')></CFOUTPUT>
			<CFOUTPUT>
			<TR><TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>#UA_String#</B></FONT>&nbsp;</TD>
				<TD BGCOLOR="#Clr_BG3#">#Albums#</TD></TR>
			</CFOUTPUT>				
			</CFIF>

		</CFIF>

<CFELSE>

	<CFOUTPUT><TR><TD BGCOLOR="#Clr_BG4#"><FONT COLOR="#Clr_Error#"><B>Sorry, that user does not exist.</B></FONT></TD></TR></CFOUTPUT>

</CFIF>
