<!---
--->	

<CFSET PrimaryDataSource="fision">

<CFQUERY NAME="HotPosts" DATASOURCE="#PrimaryDataSource#">
	SELECT Messages.MID, Messages.Subject, Messages.Message, Messages.PostDate, 
		   Threads.TID, Threads.Thread, Threads.LastPost, Threads.Status, 
		   Users.UID, Users.Username, Users.MCount AS UserCount, Users.BPCount, Users.UF1, Users.UF2, Users.UF3, Users.CID, Users.City, Users.State, Users.ZipCode, Users.Signature, Users.Admin,
		   Forums.FID, Forums.Forum, Groups.ClassID,
		   (SELECT COUNT(*) FROM Moderators WHERE Moderators.FID = Forums.FID AND Moderators.UID = Users.UID) AS IsModerator
	  FROM Groups, Messages, Threads, Users, Forums
	 WHERE Groups.GID = Forums.GID
	   AND Forums.FID = Threads.FID
	   AND Messages.TID = Threads.TID
	   AND Messages.UID = Users.UID
       AND (Groups.ClassID = 'noclass'
	    <CFLOOP index="ci" list="cs3156,cs4701,cs3824,cs3261,bugs" delimiters=",">
		OR Groups.ClassID = '#ci#'
		</CFLOOP>
		)
	   AND Messages.HotPost = 1
</CFQUERY>

