<!----------------------------------------------------------------------------
	dsp_instapost.cfm
	
	Simplified version of dsp_postform.cfm in BlueBoard.
	Largely inherited from "post.cfm" from Simple Message Board.
	See	BlueBoard Notes.
	
	All links from this page have been edited to employ fuseactions.
------------------------------------------------------------------------------>


<!-- Note: GetForums query changed so that only the "groups" (classes)
	 that are valid for the current user are retrieved -->
<CFQUERY NAME="GetForums" DATASOURCE="#PrimaryDataSource#">
	SELECT Forums.FID, Forums.Forum, Groups.ClassID, Groups.GroupName
	  FROM Forums, Groups
	 WHERE Groups.GID = Forums.GID
          AND (Groups.ClassID = 'noclass'
       <CFLOOP index="ci" list="cs3156,cs4701,cs3824,cs3261,bugs" delimiters=",">
	    OR Groups.ClassID = '#ci#'
	   </CFLOOP>
	       )
	ORDER BY Forums.GID
</CFQUERY>

<CFIF GetForums.RecordCount>
	<CFSET FID = 0>
	<CFSET Forum = "">
	<CFSET TID = 0>
	<CFSET Thread = "">
	<CFSET MID = 0>
	<CFSET Indent = 0>
	<CFSET Action = "Post Thread">
	<CFSET Edit = 0>
	<CFSET GID = 0>
	<CFSET Group = "">
</CFIF>

	<!-- This is the new post form.  Inherited from SMB -->
	
	<CFOUTPUT>
	<TABLE CELLPADDING=4 CELLSPACING=1 BORDER=0>
	<FORM METHOD="post" ACTION="./index.cfm?Fuseaction=Post">
	<CFIF FID><INPUT TYPE="hidden" NAME="FID" VALUE="#FID#"></CFIF>
	<INPUT TYPE="hidden" NAME="TID" VALUE="#TID#">
	<INPUT TYPE="hidden" NAME="MID" VALUE="#MID#">
<!---	<INPUT TYPE="hidden" NAME="Indent" VALUE="#Indent#"> --->
	<INPUT TYPE="hidden" NAME="Edit" VALUE="#Edit#">
	<INPUT TYPE="hidden" NAME="FID_required" VALUE="You must choose a forum">
<!--
	<INPUT TYPE="hidden" NAME="Username_required" VALUE="You must enter a username">
	<INPUT TYPE="hidden" NAME="Password_required" VALUE="You must enter a password">
-->
	<INPUT TYPE="hidden" NAME="Subject_required" VALUE="Please enter a subject for your message">
	<INPUT TYPE="hidden" NAME="Message_required" VALUE="Please enter a message">
	<TR><TD BGCOLOR="#Clr_BG4#" COLSPAN=3><B>InstaPost</B></TD></TR>
	<TR><TD BGCOLOR="#Clr_BG2#">&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Class/Forum</B></FONT>&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG3#">
	</CFOUTPUT>
	<CFIF FID>
		<CFOUTPUT>
			<A HREF="#MB_Dir#/index.cfm?Fuseaction=ShowForum&FID=#FID#">#Group#: #Forum#</A>
		</CFOUTPUT>
	<CFELSE>
		<CFOUTPUT>
			<SELECT NAME="FID">
		</CFOUTPUT>
		<OPTION VALUE="">Select Class and Forum</OPTION>
		
		<!-- BlueBoard Note: The GetForums query has been modified to retrive
			 only the classes that the current user is in.  We include ClassID
			 in drop-down box for user's conveneince.
		-->
		<CFOUTPUT QUERY="GetForums">
			<OPTION VALUE="#FID#">#TRIM(GetForums.GroupName)#: #TRIM(Forum)#</OPTION>
		</CFOUTPUT>
		
		<CFOUTPUT>
			</SELECT>
		</CFOUTPUT>
	</CFIF>
	</TD></TR>

	<CFOUTPUT>
	<TR>
		<TD BGCOLOR="#Clr_BG2#">
			<FONT COLOR="#Clr_Link#">*</FONT>
		</TD>
		<TD BGCOLOR="#Clr_BG1#">
			&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Subject</B></FONT>&nbsp;
		</TD>
		<TD BGCOLOR="#Clr_BG3#">
			<INPUT TYPE="text" NAME="Subject" SIZE=50 MAXLENGTH=100 TABINDEX="1">
		</TD>
	</TR>
	<TR>
		<TD BGCOLOR="#Clr_BG2#" VALIGN="TOP">
			<FONT COLOR="#Clr_Link#">*</FONT>
		</TD>
		<TD BGCOLOR="#Clr_BG1#" VALIGN="TOP">
			&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Message</B></FONT>&nbsp;
		</TD>
		<TD BGCOLOR="#Clr_BG3#">
			<TEXTAREA NAME="Message" COLS=50 ROWS=10 WRAP="VIRTUAL" TABINDEX="2"></TEXTAREA><BR>
		</TD>
	</TR>
	<TR><TD BGCOLOR="#Clr_BG2#">&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Use Signature?</B></FONT>&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG3#"><INPUT TYPE="radio" NAME="UseSig" VALUE="#Bit_True#"> Yes <INPUT TYPE="radio" NAME="UseSig" VALUE="#Bit_False#" CHECKED> No</TD></TR>

<!--  BlueBoard Note: The following lines were added so that "admin" users, as defined
	  in our OCD, are able to specify whether the current post should receive HotPost
	  status.
-->
	<CFIF Cookie.Admin EQ "yes">
	<TR><TD BGCOLOR="#Clr_BG2#">&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Hot Post?</B></FONT>&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG3#">
		<INPUT TYPE="radio" NAME="HotPost" VALUE="#Bit_True#"> Yes <INPUT TYPE="radio" NAME="HotPost" VALUE="#Bit_False#" CHECKED> No</TD></TR>
	</cfif>

	<TR><TD BGCOLOR="#Clr_BG2#">&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG1#">&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG3#"><INPUT TYPE="submit" VALUE="Post" TABINDEX="5"> <INPUT TYPE="button" VALUE="Cancel" onClick="history.go(-1)"></TD></TR>
	<TR><TD BGCOLOR="#Clr_BG4#" COLSPAN=3><FONT COLOR="#Clr_Link#">*</FONT> Indicates a required field</TD></TR>
	</table>
	</FORM>
	</CFOUTPUT>


