<!----------------------------------------------------------------
	Below is the query which...
------------------------------------------------------------------>

<CFPARAM name="KMatch" default=0>
<CFPARAM name="Form.HotPosts" default=0>

<CFQUERY NAME="SearchMessages" DATASOURCE="#PrimaryDataSource#">
	SELECT Messages.MID, Messages.Subject, Messages.Message, Messages.PostDate, Messages.Indent, Messages.BP, Messages.UseSig, Messages.HotPost AS isHot,
		   Threads.TID, Threads.Thread, Threads.LastPost, Threads.Status, 
		   Users.UID, Users.Username, Users.MCount AS UserCount, Users.BPCount, Users.UF1, Users.UF2, Users.UF3, Users.CID, Users.City, Users.State, Users.ZipCode, Users.Signature, Users.Admin AS isAdmin,
		   Forums.FID, Forums.Forum, Groups.ClassID,
		   (SELECT COUNT(*) FROM Moderators WHERE Moderators.FID = Forums.FID AND Moderators.UID = Users.UID) AS IsModerator
	  FROM Groups, Messages, Threads, Users, Forums
	 WHERE Groups.GID = Forums.GID
	   AND Forums.FID = Threads.FID
	   AND Messages.TID = Threads.TID
	   AND Messages.UID = Users.UID
       AND (Groups.ClassID = 'noclass'
	    <CFLOOP index="ci" list="cs3156,cs4701,cs3824,cs3261,bugs" delimiters=",">
		OR Groups.ClassID = '#ci#'
		</CFLOOP>
		)
	<CFIF (IsDefined('URL.HotPosts') OR Form.HotPosts)>
	   AND Messages.HotPost = 1
	</CFIF>
	<CFIF IsDefined('URL.PostDate')>
	   AND ( PostDate > #CreateODBCDateTime(URL.PostDate)# AND PostDate < #CreateODBCDateTime(DateAdd('d',1,URL.PostDate))# )
	<CFELSEIF IsDefined('Form.Keyword')>
		<CFSET Form.Keyword = ListChangeDelims(FORM.Keyword, ',', ', ;:+')>
			 AND (
			<CFLOOP LIST="#FORM.Keyword#" INDEX="key">
				<CFSET KeywordMark = KeywordMark & "<FONT COLOR=""#Clr_BG1#""><B>#key#</B></FONT>,">
	   			<CFIF CurrentKey>#KBoolean#</CFIF> Messages.Message LIKE '%<CFIF KMatch>[!A-Z0-9]</CFIF>#key#<CFIF KMatch>[!A-Z0-9]</CFIF>%'
				<CFSET CurrentKey = CurrentKey + 1>
			</CFLOOP>)
			<CFIF IsDefined('FORM.FID')>
				<CFIF FORM.FID NEQ 0>AND Forums.FID = #Form.FID#</CFIF>
			</CFIF>
			<CFIF IsDefined('FORM.GID')>
				<CFIF FORM.GID NEQ 0>AND Groups.GID = #Form.GID#</CFIF>
			</CFIF>
			<CFIF LEN(FORM.Username)>
				AND Users.UserName <CFIF Form.UMatch>= '#FORM.Username#'<CFELSE>LIKE '%#FORM.Username#%'</CFIF>
			</CFIF>
			<CFIF Form.When>
				AND ( Messages.PostDate > #DateAdd('d', -Form.When, Now())# )
			</CFIF>
	</CFIF>
</CFQUERY>

