<!------------------------------------------------------------------------
	dsp_message.cfm
	
	Displays all the messages in a particular thread.  Mostly
	inherited from Thread.cfm in SMB.  See BlueBoard notes. 

------------------------------------------------------------------------->

<!-- BlueBoard Note: The GetMessage query was moved to outside
	 file act_getmessage.cfm in order to fusebox-ize the system.
	 It is cfincluded before this file from index.cfm
-->

<CFOUTPUT QUERY="GetMessage">

<TR>
	<TD BGCOLOR="#Clr_BG4#" COLSPAN=2>
		<B><A HREF="index.cfm?Fuseaction=ShowForum&FID=#FID#">#Forum#</A>: <A HREF="index.cfm?Fuseaction=ShowThread&TID=#TID#">#Thread#</A></B>
	</TD>
</TR>
<TR>
	<TD BGCOLOR="#Clr_BG1#" COLSPAN=1>
		<CFIF IsDefined('Cookie.LastPost')>
		<!-- This functionality inherited from SMB seemed not to be
			 working!  It would display the icon when it was not necessary
			 
			 <CFIF DateCompare(PostDate,Cookie.LastPost) GT 0>#Icon_New#</CFIF>
		-->
		</CFIF>
	</TD>
	<TD BGCOLOR="#Clr_BG1#" COLSPAN=1>
		<FONT SIZE=2><A HREF="search/index.cfm?Fuseaction=DoSearch&PostDate=#URLEncodedFormat(DateFormat(PostDate,'mm-dd-yy'))#" TITLE="View All Messages From This Date">#DateFormat(PostDate, '#DateMask#')#</A> #TimeFormat(PostDate, '#TimeMask#')# | 
		<CFIF Status NEQ 2>
		<CFIF BP_On>#BP# #BP_String#<CFIF ABS(BP) NEQ 1>s</CFIF> <A HREF="bp.cfm?MID=#MID#" TITLE="Vote This Post for #BP_String#s">#Icon_Vote#</A> </CFIF>
	
		<!-- Here's where we decide if the user can edit/delete this post -->
		<!-- I.E. If they posted it, or if they're an admin -->
		<CFIF ((UID EQ Cookie.UID) OR (Cookie.Admin IS "yes"))>
		<A HREF="post/index.cfm?Fuseaction=Post&MID=#MID#&Edit=1" TITLE="Edit/Delete">#Icon_Edit#</A>
		</CFIF>
		
		<A HREF="post/index.cfm?Fuseaction=Post&MID=#MID#" TITLE="Reply/Quote">#Icon_Reply#</A> | 
		</CFIF>
		<A HREF="index.cfm?Fuseaction=ShowMessage&MID=#MID#">#Subject#</A></FONT>
	</TD>
</TR>
<TR>
	<CFIF YesNoFormat(#isHot#)>
		<TD BGCOLOR="#Clr_HBG1#" VALIGN="TOP">
	<CFELSE>
		<TD BGCOLOR="#Clr_BG3#" VALIGN="TOP">
	</CFIF>

		<A HREF="#MB_Dir#/index.cfm?Fuseaction=ShowUser&UID=#UID#"><B>#UserName#</B></A><BR>
		<FONT SIZE=2><CFIF IsModerator>#Mod_String#<CFELSEIF UserCount GTE U1_Count>#U2_String#<CFELSE>#U1_String#</CFIF></FONT><BR>
		<FONT SIZE=2>#UserCount#&nbsp;Post<CFIF UserCount NEQ 1>s</CFIF></FONT><BR>
		<!-- BlueBoard Note: BP_On will never be on, becuase we turned
			 off the brownie point system in app_globals.cfm
		-->
		<CFIF BP_On><FONT SIZE=2>#BPCount# #BP_String#<CFIF ABS(BPCount) NEQ 1>s</CFIF></FONT><BR></CFIF>
		<FONT SIZE=2>#TRIM(City)# <CFIF CID EQ US_CID OR NOT LEN(CID)>#Trim(State)#</CFIF></FONT><BR>
	</TD>
	<CFIF YesNoFormat(#isHot#)>
		<TD BGCOLOR="#Clr_HBG1#" VALIGN="TOP">
	<CFELSE>
		<TD BGCOLOR="#Clr_BG3#" VALIGN="TOP">
	</CFIF>


	<!-- BlueBoard Note: Becuase we could not install CF_MSGFORMAT as a
		 custom tag, we instead installed it as a cfmodule in the modules
		 directory.  It works much the same way as it would have as a custom
		 tag.
	-->
	<CFMODULE template="#MB_ModulesDir#/MSGFormat.cfm" ALLOWHTML="#AllowHTML#" AUTOLINK="#AutoLink#">#Message#<CFIF UseSig>#Signature#</CFIF></CFMODULE>
	</TD>
</TR>
<TR>
	<TD BGCOLOR="#Clr_BG4#" COLSPAN=2>
	<CFIF Status EQ 0><B><A HREF="#MB_PostDir#/index.cfm?Fuseaction=Post&TID=#TID#">Post New Message in Thread</A></B>&nbsp;</CFIF>
	<!--- There's got to be an easier way to do this --->
	<CFIF LEN(Previous) OR LEN(Next)>[</CFIF>
	<CFIF LEN(Previous)><A HREF="index.cfm?Fuseaction=ShowMessage&MID=#Previous#">Previous Message</A></CFIF>
	<CFIF LEN(Previous) AND LEN(Next)> | </CFIF>
	<CFIF LEN(Next)><A HREF="index.cfm?Fuseaction=ShowMessage&MID=#Next#">Next Message</A> </CFIF>
	<CFIF LEN(Previous) OR LEN(Next)>]</CFIF>
	</TD>
</TR>

<CFIF IsDefined('Cookie.LastPost')>
	<CFIF DateCompare(LastPost,Cookie.LastPost) LTE 0>
	<CFCOOKIE NAME="LastPost" VALUE="#LastPost#" DOMAIN="#PrimaryCookieDomain#" EXPIRES="60">	
	</CFIF>
<CFELSE>
	<CFCOOKIE NAME="LastPost" VALUE="#LastPost#" DOMAIN="#PrimaryCookieDomain#" EXPIRES="60">	
</CFIF>

</CFOUTPUT>
