<!------------------------------------------------------------------------
	dsp_thread.cfm
	
	Displays all the messages in a particular thread.  Mostly
	inherited from Thread.cfm in SMB.  See BlueBoard notes. 

------------------------------------------------------------------------->

<!-- BlueBoard Note: The GetMessages query was moved to outside
	 file act_getmessages.cfm in order to fusebox-ize the system.
	 It is cfincluded before this file from index.cfm
-->

<CFIF NOT IsDefined('URL.ReverseSort') AND IsDefined('Cookie.ReverseSort')>
	<CFSET ReverseSort = Cookie.ReverseSort>
</CFIF>

<!-- BlueBoard Note: We are not using "expand" functionality
<CFIF NOT IsDefined('URL.Expand') AND IsDefined('Cookie.Expand')>
	<CFSET Expand = Cookie.Expand>
</CFIF>
-->

<CFIF NOT GetMessages.RecordCount>

	<CFOUTPUT><TR><TD BGCOLOR="#Clr_BG4#"><FONT COLOR="#Clr_Error#"><B>Empty Thread.</B></FONT></TD></TR></CFOUTPUT>

<CFELSEIF (GetMessages.RecordCount EQ 1) AND (NOT Expand) AND (TV_On)>

	<CFLOCATION URL="index.cfm?Fuseaction=ShowMessage&MID=#GetMessages.MID#">

<CFELSE>

	<CFOUTPUT>
	<TR><TD BGCOLOR="#Clr_BG4#" COLSPAN=3 CELLPADDING=0><B><A HREF="index.cfm?Fuseaction=ShowForum&FID=#GetMessages.FID#">#GetMessages.Forum#</A>: #GetMessages.Thread#</B> 
	<CFIF GetMessages.RecordCount GT 1>
	<CFIF TV_On><A HREF="index.cfm?Fuseaction=ShowThread&#CGI.QUERY_STRING#&Expand=#Evaluate('NOT Expand')#">[Expand]</A></CFIF> 
	<CFIF Expand>&nbsp;&nbsp;&nbsp;<A HREF="index.cfm?Fuseaction=ShowThread&#CGI.QUERY_STRING#&ReverseSort=#Evaluate('NOT ReverseSort')#">[Reverse Sort]</A></CFIF>
	</CFIF>
	</TD></TR>
	<CFIF GetMessages.Status EQ 0>
	<TR><TD BGCOLOR="#Clr_BG5#" COLSPAN=3><B><A HREF="#MB_PostDir#/index.cfm?Fuseaction=Post&TID=#GetMessages.TID#">Post New Message in Thread</A></B></TD></TR>
	</CFIF>
	</CFOUTPUT>
	
	<CFINCLUDE TEMPLATE="#MB_BlocksDir#/act_searchmessages.cfm">
	<CFINCLUDE TEMPLATE="#MB_BlocksDir#/dsp_incmessages.cfm">
	
	<CFIF IsDefined('Cookie.LastPost')>
		<CFIF DateCompare(LastPost,Cookie.LastPost) LTE 0>
		<CFCOOKIE NAME="LastPost" VALUE="#GetMessages.LastPost#" DOMAIN="#PrimaryCookieDomain#" EXPIRES="60">	
		</CFIF>
	<CFELSE>
		<CFCOOKIE NAME="LastPost" VALUE="#GetMessages.LastPost#" DOMAIN="#PrimaryCookieDomain#" EXPIRES="60">	
	</CFIF>
	
</CFIF>
