<!-- dsp_users.cfm

	Shows a list of users of the system.  Inherited from SMB's users.cfm.
	See BlueBoard notes for changes.
-->


<!-- BlueBoard Note: GetUsers query moved to outside file,
     "act_getusers.cfm" in order to fusebox-ize the system.
	 act_getusers.cfm is cfincluded before this file from
	 index.cfm.
-->

<CFIF GetUsers.RecordCount>

	<CFOUTPUT>
	<TR><TD BGCOLOR="#Clr_BG4#" COLSPAN=5><B>#MB_String#: <A HREF="#MB_Dir#/index.cfm?Fuseaction=ShowUsers">User Directory</A></B></TD></TR>
	<TR><TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Username</B></FONT> <A HREF="#CGI.SCRIPT_NAME#?Sort=Users.Username&Order=%20ASC">#Icon_Up#</A><A HREF="#CGI.SCRIPT_NAME#?Sort=Users.Username&Order=%20DESC">#Icon_Down#</A>&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>RealName</B></FONT> <A HREF="#CGI.SCRIPT_NAME#?Sort=Users.RealName&Order=%20ASC">#Icon_Up#</A><A HREF="#CGI.SCRIPT_NAME#?Sort=Users.RealName&Order=%20DESC">#Icon_Down#</A>&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Registered</B></FONT> <A HREF="#CGI.SCRIPT_NAME#?Sort=Users.ActDate&Order=%20ASC">#Icon_Up#</A><A HREF="#CGI.SCRIPT_NAME#?Sort=Users.ActDate&Order=%20DESC">#Icon_Down#</A>&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Messages</B></FONT> <A HREF="#CGI.SCRIPT_NAME#?Sort=Users.MCount&Order=%20ASC">#Icon_Up#</A><A HREF="#CGI.SCRIPT_NAME#?Sort=Users.MCount&Order=%20DESC">#Icon_Down#</A>&nbsp;</TD>
	<CFIF BP_On>
		<TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>#BP_String#s</B></FONT> <A HREF="#CGI.SCRIPT_NAME#?Sort=Users.BPCount&Order=%20ASC">#Icon_Up#</A><A HREF="#CGI.SCRIPT_NAME#?Sort=Users.BPCount&Order=%20DESC">#Icon_Down#</A>&nbsp;</TD>
	</CFIF>
	</TR>
	</CFOUTPUT>

	<CFOUTPUT QUERY="GetUsers" STARTROW="#StartRow#" MAXROWS="#MaxUsers#">
	
		<CFIF CurrentRow MOD 2><CFSET BGCOLOR = Clr_BG3><CFELSE><CFSET BGCOLOR = Clr_BG5></CFIF>
		<TR><TD BGCOLOR="#BGCOLOR#"><A HREF="#MB_Dir#/index.cfm?Fuseaction=ShowUser&UID=#UID#">#TRIM(Username)#</A></TD>
			<TD BGCOLOR="#BGCOLOR#">#TRIM(RealName)#</TD>
			<TD BGCOLOR="#BGCOLOR#">#DateFormat(ActDate, '#DateMask#')#</TD>
			<TD BGCOLOR="#BGCOLOR#">#MCount# Post<CFIF MCount NEQ 1>s</CFIF></TD>
		<CFIF BP_On>
			<TD BGCOLOR="#BGCOLOR#">#BPCount# #BP_String#<CFIF ABS(BPCount) NEQ 1>s</CFIF></TD>
		</CFIF>
		</TR>

	</CFOUTPUT>

	<CFOUTPUT>
	<!--- Pagination --->
	<CFSET Pages = Ceiling(GetUsers.RecordCount / MaxUsers)> <CFSET Step = Ceiling(Pages / MaxUsers)>
	<CFIF CGI.QUERY_STRING CONTAINS "&StartRow="> <CFSET QueryString = ListDeleteAt(CGI.QUERY_STRING, ListLen(CGI.QUERY_STRING, '&') ,'&')> <CFELSE> <CFSET QueryString = CGI.QUERY_STRING> </CFIF>
	<TR><TD BGCOLOR="#Clr_BG4#" COLSPAN=5><CFIF Pages GT 1><B>Pages: 
	<CFIF StartRow NEQ 1><A HREF="#CGI.SCRIPT_NAME#?#QUERYSTRING#&StartRow=#Evaluate(StartRow - MaxUsers)#">&laquo;</A></CFIF>
	<CFLOOP FROM="1" TO="#Pages#" INDEX="Page" STEP="#Step#"><CFIF StartRow EQ Evaluate((Page - 1) * MaxUsers + 1)>#Page#<CFELSE><A HREF="#CGI.SCRIPT_NAME#?#QUERYSTRING#&StartRow=#Evaluate((Page - 1) * MaxUsers + 1)#">#Page#</A></CFIF> </CFLOOP>
	<CFIF StartRow NEQ Evaluate((Pages - 1) * MaxUsers + 1)><A HREF="#CGI.SCRIPT_NAME#?#QUERYSTRING#&StartRow=#Evaluate(StartRow + MaxUsers)#">&raquo;</A></CFIF>
	</B></CFIF>&nbsp;</TD></TR>
	<!--- End Pagination --->
	</CFOUTPUT>

<CFELSE>

	<CFOUTPUT><TR><TD BGCOLOR="#Clr_BG4#"><FONT COLOR="#Clr_Error#"><B>Sorry, there are currently no users.</B></FONT></TD></TR></CFOUTPUT>

</CFIF>
