<!-- Login.cfm

	This file is legacy from SMB, the system on which ours is based.  It will add a user
	to the database and also contains the display block for the join page.
-->

<CFSET ThisPage = "Register">

<!-- BlueBoard Note: Edited to include our globals and our header -->
<CFINCLUDE TEMPLATE="app_globals.cfm">
<CFINCLUDE template="#MB_Header#">
<!-- End edit -->

<CFPARAM NAME="Edit" DEFAULT="0" TYPE="Numeric">

<!--- Set FieldNames --->
<CFSET FieldNames = "realname,Real Name;email,Email Address;email2,Verify Email Address;password0,Current Password;password,Password;password2,Verify Password;username,Username;website,Website;city,City;ustate,State;zipcode,ZipCode;uCID,Country;UF1,#UF1_Label#;UF2,#UF2_Label#;UF3,#UF3_Label#;signature,Signature">

<!--- Param FieldNames --->
<CFLOOP INDEX="FieldName" LIST="#FieldNames#" DELIMITERS=";"><CFPARAM NAME="#ListGetAt(FieldName,1)#" DEFAULT=""></CFLOOP>
<CFPARAM NAME="expand" DEFAULT="1"> <CFPARAM NAME="reversesort" DEFAULT="0"> <CFPARAM NAME="showemail" DEFAULT="1">
<CFSET Errors = "">

<CFIF IsDefined('form.process')>

	<CFIF Edit> <!--- Update User --->

		<!--- Begin Error Checking --->	
		<CFQUERY NAME="CheckPassword" DATASOURCE="#PrimaryDataSource#">SELECT UID FROM Users WHERE UID = #UID# AND Password = '#password0#'</CFQUERY>
			<CFIF NOT CheckPassword.recordcount><CFSET Errors = Errors & "The Current Password you've entered is incorrect.<BR>"><CFSET password0 = ""></CFIF>
		<CFIF CurEmail NEQ Email>
			<CFQUERY NAME="CheckEmail" DATASOURCE="#PrimaryDataSource#">SELECT UID FROM Users WHERE Email = '#email#'</CFQUERY>
			<CFIF CheckEmail.recordcount><CFSET Errors = Errors & "The Email Address you've entered is already in use.<BR>"><CFSET email = ""><CFSET email2 = ""></CFIF>
		</CFIF>
		<CFIF CurUserName NEQ UserName>
			<CFQUERY NAME="CheckUser" DATASOURCE="#PrimaryDataSource#">SELECT UID FROM Users WHERE Username = '#username#'</CFQUERY>
			<CFIF CheckUser.recordcount><CFSET Errors = Errors & "The Username you've entered is already in use.<BR>"><CFSET username = ""></CFIF>
		</CFIF>
	<!--	<CFIF email NEQ email2><CFSET Errors = Errors & "The Email Addresses you've entered do not match.<BR>"><CFSET email = ""><CFSET email2 = ""></CFIF>	-->
		<CFIF LEN(email) AND (email DOES NOT CONTAIN "@" OR email DOES NOT CONTAIN ".")><CFSET Errors = Errors & "The Email Address you've entered is invalid.<BR>"><CFSET email = ""><CFSET email2 = ""></CFIF>
		<CFIF password NEQ password2><CFSET Errors = Errors & "The Passwords you've entered do not match.<BR>"><CFSET password = ""><CFSET password2 = ""></CFIF>	
		<CFIF LEN(password) AND LEN(password) LT 6><CFSET Errors = Errors & "Your Password must be at least 6 characters.<BR>"><CFSET password = ""><CFSET password2 = ""></CFIF>
	 	<CFIF REFindNoCase('[^a-z0-9]+', username)><CFSET Errors = Errors & "User Name can contain only numbers and/or letters.<BR>"><CFSET username = ""></CFIF>	
		<CFIF LEN(zipcode) AND (LEN(zipcode) NEQ 5 OR REFindNoCase('[^0-9]+', zipcode))><CFSET Errors = Errors & "Zip Code must be a 5 digit number.<BR>"><CFSET zipcode = ""></CFIF>	
		<CFSET ReqFieldNames = "realname,Real Name;email,Email Address;email2,Verify Email Address;password0,Current Password;username,Username">
		<CFLOOP INDEX="FieldName" LIST="#ReqFieldNames#" DELIMITERS=";">
			<CFIF NOT Len(RTRIM(Evaluate('Form.#ListGetAt(FieldName,1)#')))><CFSET Errors = Errors & "#ListGetAt(FieldName,2)# is a required field.<BR>"></CFIF>
		</CFLOOP>
	
		<CFIF NOT LEN(Errors)>
	
			<!--- Being Processing --->
			<CFTRANSACTION>
				<CFSET ActCode = RandRange(100000, 999999)>
				<CFINCLUDE TEMPLATE="act_updateuser.cfm">
				
				<CFQUERY NAME="GetUser" DATASOURCE="#PrimaryDataSource#">
			        SELECT * FROM Users WHERE UID = #FORM.UID#
			    </CFQUERY>
			</CFTRANSACTION>
			
			<CFSET processed = 1>
			
		</CFIF>
	
	<CFELSE> <!--- Join User --->

		<!--- Begin Error Checking --->
		<CFQUERY NAME="CheckEmail" DATASOURCE="#PrimaryDataSource#">SELECT UID FROM Users WHERE Email = '#email#'</CFQUERY>
		<CFIF CheckEmail.recordcount><CFSET Errors = Errors & "The Email Address you've entered is already in use.<BR>"><CFSET email = ""><CFSET email2 = ""></CFIF>
		<CFQUERY NAME="CheckUser" DATASOURCE="#PrimaryDataSource#">SELECT UID FROM Users WHERE Username = '#username#'</CFQUERY>
		<CFIF CheckUser.recordcount><CFSET Errors = Errors & "The Username you've entered is already in use.<BR>"><CFSET username = ""></CFIF>
		<CFIF email NEQ email2><CFSET Errors = Errors & "The Email Addresses you've entered do not match.<BR>"><CFSET email = ""><CFSET email2 = ""></CFIF>	
		<CFIF LEN(email) AND (email DOES NOT CONTAIN "@" OR email DOES NOT CONTAIN ".")><CFSET Errors = Errors & "The Email Address you've entered is invalid.<BR>"><CFSET email = ""><CFSET email2 = ""></CFIF>
		<CFIF password NEQ password2><CFSET Errors = Errors & "The Passwords you've entered do not match.<BR>"><CFSET password = ""><CFSET password2 = ""></CFIF>	
		<CFIF LEN(password) LT 6><CFSET Errors = Errors & "Your Password must be at least 6 characters.<BR>"><CFSET password = ""><CFSET password2 = ""></CFIF>
	 	<CFIF REFindNoCase('[^a-z0-9]+', username)><CFSET Errors = Errors & "User Name can contain only numbers and/or letters.<BR>"><CFSET username = ""></CFIF>	
		<CFIF LEN(zipcode) AND (LEN(zipcode) NEQ 5 OR REFindNoCase('[^0-9]+', zipcode))><CFSET Errors = Errors & "Zip Code must be a 5 digit number.<BR>"><CFSET zipcode = ""></CFIF>	
		<CFSET ReqFieldNames = "realname,Real Name;email,Email Address;email2,Verify Email Address;password,Password;password2,Verify Password;username,Username">
		<CFLOOP INDEX="FieldName" LIST="#ReqFieldNames#" DELIMITERS=";">
			<CFIF NOT Len(RTRIM(Evaluate('Form.#ListGetAt(FieldName,1)#')))><CFSET Errors = Errors & "#ListGetAt(FieldName,2)# is a required field.<BR>"></CFIF>
		</CFLOOP>
	
		<CFIF NOT LEN(Errors)>
	
			<!--- Being Processing --->
			<CFTRANSACTION>

				<CFINCLUDE TEMPLATE="act_createuser.cfm">
			
				<CFQUERY NAME="GetUser" DATASOURCE="#PrimaryDataSource#">
			        SELECT * FROM Users WHERE UID = (SELECT MAX(UID) FROM Users)
			    </CFQUERY>

			</CFTRANSACTION>
			
			<CFSET processed = 1>
			
		</CFIF>
	
	</CFIF>

</CFIF>

<CFIF IsDefined('processed')><!--- Congratulations --->

	<CFCOOKIE NAME="UID" VALUE="#GetUser.UID#" DOMAIN="#PrimaryCookieDomain#" EXPIRES="60">
	<CFCOOKIE NAME="Username" VALUE="#TRIM(GetUser.Username)#" DOMAIN="#PrimaryCookieDomain#" EXPIRES="60">
	<CFCOOKIE NAME="Password" VALUE="#ENCRYPT(TRIM(GetUser.Password),CryptKey)#" DOMAIN="#PrimaryCookieDomain#" EXPIRES="60">
	<CFCOOKIE NAME="Expand" VALUE="#GetUser.Expand#" DOMAIN="#PrimaryCookieDomain#" EXPIRES="60">
	<CFCOOKIE NAME="ReverseSort" VALUE="#GetUser.ReverseSort#" DOMAIN="#PrimaryCookieDomain#" EXPIRES="60">
	<CFIF Edit>

		<CFOUTPUT>
		<TR><TD BGCOLOR="#Clr_BG4#"><B>Thank you #GetUser.RealName#, for updating your profile.</B>
		<CFIF FORM.CurEmail NEQ FORM.Email><BR>
		We've sent an activation email to you at #GetUser.Email#.<BR>
		Please check your mail! You must re-activate your account with the link contained in the email before you can post.
		</CFIF></TD></TR>
		</CFOUTPUT>
	
	<CFELSE>

		<CFOUTPUT>
		<TR><TD BGCOLOR="#Clr_BG4#"><B>Thank you #GetUser.RealName#, for registering at #MB_String#.</B><BR>
		We've sent an activation email to you at #GetUser.Email#.<BR>
		Please check your mail! You must activate your account with the link contained in the email before you can post.</TD></TR>
		</CFOUTPUT>

	</CFIF>

<CFELSE><!--- Show Form (Again) --->

	<CFIF IsDefined('Cookie.Username') AND IsDefined('Cookie.Password')>
		<CFSET user = Cookie.Username><CFSET pass = DECRYPT(Cookie.Password,CryptKey)>
		<CFQUERY NAME="GetUser" DATASOURCE="#PrimaryDataSource#">
			SELECT * FROM Users WHERE Username = '#user#' AND Password = '#pass#'
		</CFQUERY>
		<CFIF GetUser.RecordCount>
			<CFSET realname = TRIM(GetUser.Realname)>
			<CFSET email = TRIM(GetUser.Email)>
			<CFSET email2 = TRIM(GetUser.Email)>
			<CFSET password = "">
			<CFSET password2 = "">
			<CFSET username = TRIM(GetUser.Username)>
			<CFSET website = TRIM(GetUser.Website)>
			<CFSET city = TRIM(GetUser.City)>
			<CFSET ustate = TRIM(GetUser.State)>
			<CFSET zipcode = TRIM(GetUser.ZipCode)>
			<CFSET signature = TRIM(GetUser.Signature)>
			<CFSET uCID = GetUser.CID>
			<CFSET UF1 = TRIM(GetUser.UF1)>
			<CFSET UF2 = TRIM(GetUser.UF2)>
			<CFSET UF3 = TRIM(GetUser.UF3)>
			<CFSET expand = GetUser.Expand>
			<CFSET reversesort = GetUser.ReverseSort>
			<CFSET showemail = GetUser.ShowEmail>
			<CFSET Edit = 1>
		</CFIF>
	</CFIF>

	<CFOUTPUT>
	<FORM METHOD="POST" ACTION="#CGI.SCRIPT_NAME#">
	<INPUT TYPE="hidden" NAME="process" VALUE="1">
	<INPUT TYPE="hidden" NAME="Edit" VALUE="#Edit#">
	<CFIF Edit>
	<INPUT TYPE="hidden" NAME="UID" VALUE="#GetUser.UID#">
	<INPUT TYPE="hidden" NAME="CurEmail" VALUE="#TRIM(email)#">
	<INPUT TYPE="hidden" NAME="CurUsername" VALUE="#TRIM(username)#">
	</CFIF>
	<TR><TD BGCOLOR="#Clr_BG4#" COLSPAN=3><B>To post messages to the #MB_String# you must Join. Please fill out the form below.</B>
		<CFIF LEN(Errors)><P><FONT COLOR="#Clr_Error#"><B>#Errors#</B></FONT></P></CFIF></TD></TR>
	<TR><TD BGCOLOR="#Clr_BG2#"><FONT COLOR="#Clr_Link#">*</FONT></TD>
		<TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Real Name</B></FONT>&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG3#"><INPUT TYPE="text" NAME="RealName" SIZE=30 MAXLENGTH=100 VALUE="#TRIM(RealName)#"></TD></TR>
	<TR><TD BGCOLOR="#Clr_BG2#"><FONT COLOR="#Clr_Link#">*</FONT></TD>
		<TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Email Address</B></FONT>&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG3#"><INPUT TYPE="text" NAME="email" SIZE=30 MAXLENGTH=100 VALUE="#TRIM(email)#"></TD></TR>
<!--	<TR><TD BGCOLOR="#Clr_BG2#"><FONT COLOR="#Clr_Link#">*</FONT></TD>
		<TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Verify&nbsp;Email&nbsp;Address</B></FONT>&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG3#"><INPUT TYPE="text" NAME="email2" SIZE=30 MAXLENGTH=100 VALUE="#TRIM(email2)#"></TD></TR>
-->
	<TR><TD BGCOLOR="#Clr_BG2#">&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG1#">&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG3#"><B>
		<CFIF Edit>If you change your email address, you will be required to activate your account again. You will be unable to post until your re-activate your account.
		<CFELSE>This is the email address we will use to send your activation code. It it is your responsibility to keep this email address current. If you forget your password, we can only send it to this email address.
		</CFIF></B></TD></TR>
	<TR><TD BGCOLOR="#Clr_BG2#"><FONT COLOR="#Clr_Link#">*</FONT></TD>
		<TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>UserName</B></FONT>&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG3#"><INPUT TYPE="text" NAME="UserName" SIZE=15 MAXLENGTH=30 VALUE="#TRIM(UserName)#"></TD></TR>
	<CFIF Edit>
	<TR><TD BGCOLOR="#Clr_BG2#"><FONT COLOR="#Clr_Link#">*</FONT></TD>
		<TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Current Password</B></FONT>&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG3#"><INPUT TYPE="password" NAME="Password0" SIZE=15 MAXLENGTH=30 VALUE="#TRIM(Password0)#"></TD></TR>
	<TR><TD BGCOLOR="#Clr_BG2#"></TD>
		<TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>New Password</B></FONT>&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG3#"><INPUT TYPE="password" NAME="Password" SIZE=15 MAXLENGTH=30 VALUE="#TRIM(Password)#"></TD></TR>
	<TR><TD BGCOLOR="#Clr_BG2#"></TD>
		<TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Verify New Password</B></FONT>&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG3#"><INPUT TYPE="password" NAME="Password2" SIZE=15 MAXLENGTH=30 VALUE="#TRIM(Password2)#"></TD></TR>
	<CFELSE>
	<TR><TD BGCOLOR="#Clr_BG2#"><FONT COLOR="#Clr_Link#">*</FONT></TD>
		<TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Password</B></FONT>&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG3#"><INPUT TYPE="password" NAME="Password" SIZE=15 MAXLENGTH=30 VALUE="#TRIM(Password)#"></TD></TR>
	<TR><TD BGCOLOR="#Clr_BG2#"><FONT COLOR="#Clr_Link#">*</FONT></TD>
		<TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Verify Password</B></FONT>&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG3#"><INPUT TYPE="password" NAME="Password2" SIZE=15 MAXLENGTH=30 VALUE="#TRIM(Password2)#"></TD></TR>
	</CFIF>
	<TR><TD BGCOLOR="#Clr_BG2#">&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG1#" VALIGN="TOP">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Signature</B></FONT>&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG3#"><TEXTAREA NAME="Signature" ROWS=4 COLS=40 WRAP="VIRTUAL">#TRIM(Signature)#</TEXTAREA><BR>
			<FONT SIZE=2>200 Characters MAX</FONT><BR>
<!--			<FONT SIZE=2><A HREF="help.cfm?section=autolink">AutoLinking</A> is <CFIF AutoLink><B>on</B> (Email Addresses and URLs will be automatically converted to links)<CFELSE><B>off</B></CFIF>.</FONT><BR>
			<FONT SIZE=2><A HREF="help.cfm?section=html">HTML</A> is <CFIF AllowHTML><B>on</B> (Links, Images and Bold, Underline and Italic are allowed)<CFELSE><B>off</B></CFIF>.</FONT> -->
		</TD></TR>
	<TR><TD BGCOLOR="#Clr_BG2#">&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Website</B></FONT>&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG3#"><INPUT TYPE="text" NAME="Website" SIZE=30 MAXLENGTH=100 VALUE="#TRIM(Website)#"></TD></TR>
	<TR><TD BGCOLOR="#Clr_BG2#">&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>City</B></FONT>&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG3#"><INPUT TYPE="text" NAME="City" SIZE=30 MAXLENGTH=100 VALUE="#TRIM(City)#"></TD></TR>
	<TR><TD BGCOLOR="#Clr_BG2#">&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>State</B></FONT>&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG3#"><SELECT NAME="state"><OPTION VALUE=""></OPTION>
			<CFINCLUDE TEMPLATE="inc_states.cfm"></SELECT></TD></TR>
	<TR><TD BGCOLOR="#Clr_BG2#">&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Zip Code</B></FONT>&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG3#"><INPUT TYPE="text" NAME="ZipCode" SIZE=15 MAXLENGTH=5 VALUE="#TRIM(ZipCode)#"></TD></TR>
	<TR><TD BGCOLOR="#Clr_BG2#">&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Country</B></FONT>&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG3#"><SELECT NAME="CID"><OPTION VALUE="0"></OPTION>
			<CFINCLUDE TEMPLATE="inc_countries.cfm"></SELECT></TD></TR>
	<CFIF BitAnd(4, UF1_Bit)>
	<TR><TD BGCOLOR="#Clr_BG2#">&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>#UF1_Label#</B></FONT>&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG3#"><INPUT TYPE="text" NAME="UF1" SIZE=30 MAXLENGTH=100 VALUE="#TRIM(UF1)#"></TD></TR>
	<CFELSE><INPUT TYPE="hidden" NAME="UF1" VALUE=""></CFIF>
	<CFIF BitAnd(4, UF2_Bit)>
	<TR><TD BGCOLOR="#Clr_BG2#">&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>#UF2_Label#</B></FONT>&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG3#"><INPUT TYPE="text" NAME="UF2" SIZE=30 MAXLENGTH=100 VALUE="#TRIM(UF2)#"></TD></TR>
	<CFELSE><INPUT TYPE="hidden" NAME="UF2" VALUE=""></CFIF>
	<CFIF BitAnd(4, UF3_Bit)>
	<TR><TD BGCOLOR="#Clr_BG2#">&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>#UF3_Label#</B></FONT>&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG3#"><INPUT TYPE="text" NAME="UF3" SIZE=30 MAXLENGTH=100 VALUE="#TRIM(UF3)#"></TD></TR>
	<CFELSE><INPUT TYPE="hidden" NAME="UF3" VALUE=""></CFIF>
	<CFIF TV_On>
	<TR><TD BGCOLOR="#Clr_BG2#">&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Expand Tree</B></FONT>&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG3#">
			<TABLE CELLPADDING=0 CELLSPACING=0 BORDER=0>
			<TR><TD VALIGN="TOP"><INPUT TYPE="radio" NAME="Expand" VALUE="#Bit_True#" <CFIF expand>CHECKED</CFIF>></TD>
				<TD>Yes, view all messages in a thread at once, similar to UBB.</TD></TR>
			<TR><TD VALIGN="TOP"><INPUT TYPE="radio" NAME="Expand" VALUE="#Bit_False#" <CFIF NOT expand>CHECKED</CFIF>></TD>
				<TD>No, only show the subjects of all messages in the thread, similar to WWWBoard.</TD></TR>
			</TABLE>
		</TD></TR>
	<CFELSE><INPUT TYPE="hidden" NAME="Expand" VALUE="#Bit_False#"></CFIF>
	<TR><TD BGCOLOR="#Clr_BG2#">&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Reverse Sort</B></FONT>&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG3#">
			<TABLE CELLPADDING=0 CELLSPACING=0 BORDER=0>
			<TR><TD><VALIGN="TOP"><INPUT TYPE="radio" NAME="ReverseSort" VALUE="#Bit_True#" <CFIF reversesort>CHECKED</CFIF> ></TD>
				<TD>Yes, sort messages in a thread in reverse chronological order. Newest messages will appear at the top.</TD></TR>
			<TR><TD VALIGN="TOP"><INPUT TYPE="radio" NAME="ReverseSort" VALUE="#Bit_False#" <CFIF NOT reversesort>CHECKED</CFIF>></TD>
				<TD>No, sort messages in chronological order. Oldest messages will appear at the top.</TD></TR>
			</TABLE>
		</TD></TR>
	<TR><TD BGCOLOR="#Clr_BG2#">&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Show Email</B></FONT>&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG3#">
			<TABLE CELLPADDING=0 CELLSPACING=0 BORDER=0>
			<TR><TD><VALIGN="TOP"><INPUT TYPE="radio" NAME="ShowEmail" VALUE="#Bit_True#" <CFIF showemail>CHECKED</CFIF>></TD>
				<TD>Yes, show my email address in my User Profile.</TD></TR>
			<TR><TD VALIGN="TOP"><INPUT TYPE="radio" NAME="ShowEmail" VALUE="#Bit_False#" <CFIF NOT showemail>CHECKED</CFIF>></TD>
				<TD>No, keep my email address private. (You will still receive Administrative Notices, etc.)</TD></TR>
			</TABLE>
		</TD></TR>
	<TR><TD BGCOLOR="#Clr_BG2#">&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG1#">&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG3#"><B>By clicking the <CFIF Edit>Update<CFELSE>Join</CFIF> button, you state that you have read, understand and agree 
		to the #MB_String# Terms and Conditions and Privacy Policy.</B></TD></TR>
	<TR><TD BGCOLOR="#Clr_BG2#">&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG1#">&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG3#"><INPUT TYPE="submit" VALUE="<CFIF Edit>Update<CFELSE>Join</CFIF>"> <INPUT TYPE="button" VALUE="Cancel" onClick="history.go(-1)"></TD></TR>
	<TR><TD BGCOLOR="#Clr_BG4#" COLSPAN=3><FONT COLOR="#Clr_Link#">*</FONT> Indicates a required field</TD></TR>
	</FORM>
	</CFOUTPUT>
	
</CFIF>

<CFINCLUDE TEMPLATE="#MB_Footer#">
