<!-- Login.cfm

	This file is legacy from SMB, the system on which ours is based.  It will log a user
	in and also contains the display block for the login page.
-->

<CFSET ThisPage = "Login">

<!-- BlueBoard Note: Edited to include our globals and our header -->
<CFINCLUDE TEMPLATE="./app_globals.cfm">
<CFINCLUDE TEMPLATE="#MB_Header#">
<!-- End edit -->

<CFPARAM NAME="LastPage" DEFAULT="index.cfm">

<CFIF IsDefined('Form.UserName')>

	<CFQUERY NAME="Login" DATASOURCE="#PrimaryDataSource#">
		SELECT UID, UserName, Password, Expand, ReverseSort, Admin
		  FROM Users
		 WHERE UserName = '#Form.UserName#'
		   AND Password = '#Form.Password#'
	</CFQUERY>

	<CFIF Login.RecordCount>

		<!-- "Expires" parameter removed from the following cookies, so that the cookies
			 will expire when the browser is closed -->
		<CFCOOKIE NAME="UID" VALUE="#Login.UID#" DOMAIN="#PrimaryCookieDomain#">
		<CFCOOKIE NAME="Username" VALUE="#Login.Username#" DOMAIN="#PrimaryCookieDomain#">
		<CFCOOKIE NAME="Password" VALUE="#ENCRYPT(Login.Password,CryptKey)#" DOMAIN="#PrimaryCookieDomain#">
		<CFCOOKIE NAME="Admin" VALUE="#YesNoFormat(Login.Admin)#" DOMAIN="#PrimaryCookieDomain#">
		<!-- End edit -->
		
		<CFCOOKIE NAME="Expand" VALUE="#Login.Expand#" DOMAIN="#PrimaryCookieDomain#" EXPIRES="60">
		<CFCOOKIE NAME="ReverseSort" VALUE="#Login.ReverseSort#" DOMAIN="#PrimaryCookieDomain#" EXPIRES="60">

		<CFIF NOT LEN(LastPage)><CFSET LastPage = "index.cfm"></CFIF>
		<CFOUTPUT><TR><TD BGCOLOR="#Clr_BG4#"><B>You have been logged in:</B> <A HREF="#LastPage#">Continue</A><BR><I>(Please stand by, you will be automatically redirected.)</I></TD></TR></CFOUTPUT>
		<CFHTMLHEAD TEXT='<META HTTP-EQUIV="Refresh" CONTENT="1;URL=#LastPage#">'>
		
	<CFELSE>

		<CFOUTPUT><TR><TD BGCOLOR="#Clr_BG4#"><B><FONT COLOR="#Clr_Error#">Sorry, Incorrect UserName and/or Password.</FONT></B></TD></TR></CFOUTPUT>

	</CFIF>

<CFELSE>

	<!-- Displaying the login page -->
	<CFOUTPUT>
	<FORM METHOD="post" ACTION="login.cfm">
	<INPUT TYPE="hidden" NAME="LastPage" VALUE="#LastPage#">
	<INPUT TYPE="hidden" NAME="Username_required" VALUE="You must enter your username">
	<INPUT TYPE="hidden" NAME="Password_required" VALUE="You must enter your password">
	<TR>
		<TD BGCOLOR="#Clr_BG4#" COLSPAN=3>
			<B>You must login in order to use BlueBoard. If you do not have a username and password, please <A HREF="join.cfm">join</A>.</B>
		</TD>
	</TR>	
	<TR>
		<TD BGCOLOR="#Clr_BG2#">
			<FONT COLOR="#Clr_Link#">*</FONT>
		</TD>
		<TD BGCOLOR="#Clr_BG1#" VALIGN="TOP">
			&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Username</B></FONT>&nbsp;
		</TD>
		<TD BGCOLOR="#Clr_BG3#">
			<INPUT TYPE="text" NAME="UserName" SIZE="10" TABINDEX="1"> <FONT SIZE=1><A HREF="join.cfm">No Username? Join!</A></FONT>
		</TD>
	</TR>
	<TR>
		<TD BGCOLOR="#Clr_BG2#">
			<FONT COLOR="#Clr_Link#">*</FONT>
		</TD>
		<TD BGCOLOR="#Clr_BG1#" VALIGN="TOP">
			&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Password</B></FONT>&nbsp;
		</TD>
		<TD BGCOLOR="#Clr_BG3#">
			<INPUT TYPE="password" NAME="Password" SIZE="10" TABINDEX="2">
		</TD>
	</TR>
	<TR>
		<TD BGCOLOR="#Clr_BG2#">
			&nbsp;
		</TD>
		<TD BGCOLOR="#Clr_BG1#">
			&nbsp;
		</TD>
		<TD BGCOLOR="#Clr_BG3#">
			<INPUT TYPE="submit" VALUE="Login" TABINDEX="3">
		</TD>
	</TR>
	<TR>
		<TD BGCOLOR="#Clr_BG4#" COLSPAN=3>
			<FONT COLOR="#Clr_Link#">*</FONT> Indicates a required field
		</TD>
	</TR>
	</FORM>
	</CFOUTPUT>

</CFIF>

<CFINCLUDE TEMPLATE="#MB_Footer#">
