<CFSETTING ENABLECFOUTPUTONLY="yes">
<CFPARAM NAME="Attributes.Subject" DEFAULT="AutoPost">
<CFPARAM NAME="Attributes.HotPost" DEFAULT="#Bit_False#">
<CFPARAM NAME="Attributes.UID" DEFAULT="admin">
<CFPARAM NAME="Attributes.FID" DEFAULT="1000">

<!--
	Check with Mothership to make sure this user is logged in
-->
<CFQUERY NAME="GetPoster" DATASOURCE="#PrimaryDataSource#">
	SELECT UID, UserName, Password, Expand, ReverseSort, BPCount, CanPost, Signature, Admin,
		  (SELECT COUNT(*) FROM Moderators WHERE Moderators.FID = #FORM.FID# AND Moderators.UID = Users.UID) AS IsModerator
	  FROM Users 
	 WHERE UserName = '#FORM.UserName#' AND PassWord = '#FORM.PassWord#'
</CFQUERY>

<CFIF NOT GetPoster.RecordCount>
	<CFSET Error = "Sorry, Incorrect UserName and/or Password.">
<CFELSEIF BP_On AND (GetPoster.BPCount LT BP_Post)>
	<CFSET Error = "Sorry, you do not have enough #BP_String#s to post.">
<CFELSEIF NOT GetPoster.CanPost>
	<CFSET Error = "Sorry, you do not have posting privileges.">
<CFELSE>
	<CFQUERY NAME="UpdateForums" DATASOURCE="#PrimaryDataSource#">
	       UPDATE Forums
		      SET TCount = TCount + 1, MCount = MCount + 1, LastPost = #RightNow#
	        WHERE FID = #Attributes.FID#
	</CFQUERY>
	
	<CFQUERY NAME="CreateThread" DATASOURCE="#PrimaryDataSource#">
	  INSERT INTO Threads 
	  			  (FID, Thread, StartDate, StartDate_UID, LastPost, MCount, Status) 
	       VALUES (#Attributes.FID#, '#Attributes.Subject#', #RightNow#, #Attributes.UID#,
		           #RightNow#, 1, 0)
	</CFQUERY>
	
	<CFQUERY NAME="PostMessage" DATASOURCE="#PrimaryDataSource#">
	  INSERT INTO Messages 
	  			  (TID, UID, Subject, Message, PostDate, RemoteIP, UseSig, SendMail, HotPost) 
	       VALUES (#Attributes.TID#, #Attributes.UID#, '#Attributes.Subject#', 
		   		   '#TRIM(ThisTag.GeneratedContent)#', 
	               #RightNow#, '#CGI.REMOTE_ADDR#', #Bit_False#, #Bit_False#,
				   #Attributes.HotPost#)
	</CFQUERY>
</CFIF>

<CFSETTING ENABLECFOUTPUTONLY="no">	