<CFSCRIPT>	
// Strip out Bad Tags
// Code adapted from Nathan Dintenfass' and Ben Archibald's CF_SafeText Custom Tag
	Message = TRIM(#Message#<CFIF UseSig>#Signature#</CFIF>);
	if (Attributes.AllowHTML) { badtags = "SCRIPT|OBJECT|APPLET|EMBED|FORM|LAYER|ILAYER|FRAME|IFRAME|FRAMESET|PARAM|META|TABLE|TD|TH|TR|HEAD|BODY|FONT"; }
	else { badtags = "SCRIPT|OBJECT|APPLET|EMBED|FORM|LAYER|ILAYER|FRAME|IFRAME|FRAMESET|PARAM|META|TABLE|TD|TH|TR|HEAD|BODY|FONT|A|IMG|B|U|I|OL|UL"; }
	badevents = "onClick|onDblClick|onKeyDown|onKeyPress|onKeyUp|onMouseDown|onMouseOut|onMouseUp|onMouseOver|onBlur|onChange|onFocus|onSelect|javascript:";
	StripperRE = "<[[:space:]]?/?[[:space:]]?(#badtags#|(CF)+)[^>]*>";
	Message = REReplaceNoCase(Message, StripperRE, '', 'ALL');
	Message = REReplaceNoCase(Message, (badevents), '', 'ALL');
	Message = REReplace(Message, '(|)', "'", 'ALL');

if (Attributes.AutoLink) {
// Let's try and throw in the URL Format stuff here too
// Code adapted from Joel Mueller's CF_URLFormat Custom Tag
outMessage = ""; nextMatch = 1;  tagmatch = 0; do {
	tagMatch = REFindNoCase('<a href|<img',Message,nextMatch);
	objMatch = REFindNoCase('(((https?:|ftp:|gopher:)\/\/)|(www\.|ftp\.))[-[:alnum:]\?%,\.\/&##!@:=\+~_]+[A-Za-z0-9\/]', Message, nextMatch, true);
	
	if (tagmatch neq 0 AND tagMatch lt objMatch.pos[1]) { 
		if (Lcase(Mid(message,tagmatch + 1,1)) eq "a") { Message = Insert(" TARGET=""_new"" ",message, tagmatch + 1); tagmatch = -1;} else {tagmatch = 0;}
		oldmatch = nextMatch;
		nextMatch = objMatch.pos[1] + objMatch.len[1] + objMatch.pos[2] + objMatch.len[2];
		if (tagmatch lt 0) {nextmatch = nextmatch + 15;} else {nextmatch = nextmatch -1;}
		tagmatch = 1;
		outMessage = outMessage & Mid(Message, oldMatch, nextMatch);
	} else { tagmatch = 0;  
		if (objMatch.pos[1] GT nextMatch OR objMatch.pos[1] EQ nextMatch) {	outMessage = outMessage & Mid(Message, nextMatch, objMatch.pos[1] - nextMatch); } 
		else { outMessage = outMessage & Mid(Message, nextMatch, Len(Message)); }
		nextMatch = objMatch.pos[1] + objMatch.len[1];
		if (ArrayLen(objMatch.pos) GT 1) {
			// If the preceding character is an @, assume this is an e-mail address
			// (for addresses like admin@ftp.cdrom.com)
			if (Compare(Mid(Message, Max(objMatch.pos[1] - 1, 1), 1), "@") NEQ 0) {
				thisURL = Mid(Message, objMatch.pos[1], objMatch.len[1]);
				thisLink = "<A HREF=""";
				switch (LCase(Mid(Message, objMatch.pos[2], objMatch.len[2]))) {
					case "www.": { thisLink = thisLink & "http://"; break; }
					case "ftp.": { thisLink = thisLink & "ftp://"; break; }	}
				thisLink = thisLink & thisURL & """" & "TARGET=""_new""" & ">" & TRIM(thisURL) & "</A>";
				outMessage = outMessage & thisLink;
			} else { outMessage = outMessage & Mid(Message, objMatch.pos[1], objMatch.len[1]); }
	}}} while (nextMatch GT 0);
// Now turn e-mail addresses into mailto: links.
Message = REReplace(outMessage, "([^(mailto:)][[:alnum:]_\.\-]+@([[:alnum:]_\.\-]+\.)+[[:alpha:]]{2,4})", "<A HREF=""mailto:\1"">\1</A>", "ALL");
}

// Now Format Search Words
if (LEN(Attributes.Keyword) AND LEN(Attributes.KeywordMark)) { Message = ReplaceList(Message, Attributes.Keyword, Attributes.KeywordMark); }

// Replace Quote Tag
Message = ReplaceNoCase(Message, '<quote>', '<UL><HR NOSHADE><B><FONT SIZE=-1>');
Message = ReplaceNoCase(Message, '</quote>', '<HR NOSHADE></UL></B></FONT>');

// Clean up any left over User formatting
Message = ParagraphFormat(Message) & "</A></B></I></U></H1></H2></H3></PRE></BIG></FONT></STRONG></BLINK></SMALL></OL></UL></QUOTE>";

// Finish
</CFSCRIPT>

<CFOUTPUT>#Message#</cfoutput>